services:
  website:
    image: ghcr.io/bewcloud/bewcloud:v3.0.2
    networks: 
      - dokploy-network
    ports:
      - 8000
    env_file:
      - path: ../files/.env
        required: true
    mem_limit: '256m'
    volumes:
      - data-files:/app/data-files
      - ../files/bewcloud.config.ts:/app/bewcloud.config.ts
  init-perms:
    image: ghcr.io/bewcloud/bewcloud:v3.0.2
    user: "0"
    command: ["sh","-lc","chown -R 1993:1993 /app/data-files"]
    volumes:
      - data-files:/app/data-files
  radicale:
    image: tomsquest/docker-radicale:3.5.9.0
    networks: 
      - dokploy-network
    ports:
      - 5232
    init: true
    read_only: true
    security_opt:
      - no-new-privileges:true
    cap_drop:
      - ALL
    cap_add:
      - SETUID
      - SETGID
      - CHOWN
      - KILL
    deploy:
      resources:
        limits:
          memory: 256M
          pids: 50
    environment: 
      - TAKE_FILE_OWNERSHIP=false
    volumes:
      - data-radicale:/data
      - ../files/radicale-config:/etc/radicale/config
volumes:
  data-files:
  data-radicale:
